uniform sampler2D Color0;

void main()
{
  vec3 color = texture2D( Color0, gl_TexCoord[0].st ).rgb;
  // shift to only feedback on bright colors
  // scale down to be not too much
  //color = color * 0.4 - 0.08;
  color = color * 0.4;
  gl_FragColor = vec4(color, 0.0);//vec4(0.0);//
}